file_relay_client_free
file_relay_client_new
file_relay_client_start_service
file_relay_client_t
file_relay_error_t
file_relay_request_sources
file_relay_request_sources_timeout
FILE_RELAY_SERVICE_NAME

## file_relay_client_free()

LIBIMOBILEDEVICE_API file_relay_error_t file_relay_client_free | ( | file_relay_client_t | client | ) |

Disconnects a file_relay client from the device and frees up the file_relay client data.

Parameters

  client | The file_relay client to disconnect and free.

Returns
  FILE_RELAY_E_SUCCESS on success, FILE_RELAY_E_INVALID_ARG when one of client or client->parent is invalid, or FILE_RELAY_E_UNKNOWN_ERROR when the was an error freeing the parent property_list_service client.